#ifndef XPARSEC_ROLES_H
#define XPARSEC_ROLES_H

/*alex: roles of privileged clients*/
#define PROP_R       (0x1 << 0)
#define CLIPB_R      (0x1 << 1)
#define SNAP_R       (0x1 << 2)
#define REPARENT_R   (0x1 << 3)
#define KBD_R        (0x1 << 4)
#define MAC_R        (0x1 << 5)
#define HOST_R       (0x1 << 6)
#define NESTED_R     (0x1 << 7)
#define WM_R         (PROP_R | SNAP_R | REPARENT_R | KBD_R | HOST_R)
/* all, but not nested*/
#define ALL_R        (PROP_R | SNAP_R | REPARENT_R | KBD_R | HOST_R | MAC_R | CLIPB_R)

#define PROP_R_STR       "PROP_R"
#define CLIPB_R_STR      "CLIPB_R"
#define SNAP_R_STR       "SNAP_R"
#define REPARENT_R_STR   "REPARENT_R"
#define KBD_R_STR        "KDB_R"
#define MAC_R_STR        "MAC_R"
#define HOST_R_STR       "HOST_R"
#define NESTED_R_STR     "NESTED_R"
#define WM_R_STR         "WM_R"
#define ALL_R_STR        "ALL_R"

#endif
